Bug 907865 - quantum-dhcp-agent should pass --conf-file with no argument to dnsmasq when no configure file specified instead not pass --conf-file at all
quantum-dhcp-agent should pass --conf-file with no argument to dnsmasq when n...
Status: CLOSED CURRENTRELEASE
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-quantum (Show other bugs)
2.0 (Folsom)
Unspecified Unspecified
unspecified Severity unspecified
: snapshot3
: 2.1
Assigned To: Gary Kotton
Ofer Blaut
: Rebase, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-02-05 07:42 EST by Gary Kotton
Modified: 2016-04-26 21:52 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Rebase: Bug Fixes and Enhancements
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-28 10:41:52 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Launchpad 1094183 None None None Never

  None (edit)
Description Gary Kotton 2013-02-05 07:42:03 EST
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 3 Ofer Blaut 2013-02-18 05:51:27 EST
By default --conf-file= is empty 

 /usr/sbin/dnsmasq --no-hosts --no-resolv --strict-order --bind-interfaces --interface=tap4e694af8-36 --except-interface=lo --domain=openstacklocal --pid-file=/var/lib/quantum/dhcp/3991fec8-d178-47d3-8f54-72def3d889f8/pid --dhcp-hostsfile=/var/lib/quantum/dhcp/3991fec8-d178-47d3-8f54-72def3d889f8/host --dhcp-optsfile=/var/lib/quantum/dhcp/3991fec8-d178-47d3-8f54-72def3d889f8/opts --dhcp-script=/usr/bin/quantum-dhcp-agent-dnsmasq-lease-update --leasefile-ro --dhcp-range=tag0,55.55.1.0,static,120s --dhcp-range=tag1,55.53.1.0,static,120s --dhcp-range=tag2,55.54.1.0,static,120s --dhcp-range=tag3,75.54.1.0,static,120s --dhcp-range=tag4,71.54.1.0,static,120s --dhcp-range=tag5,72.54.1.0,static,120s --dhcp-range=tag6,78.54.1.0,static,120s --conf-file=

upon updating /etc/quantum/dhcp_agent.ini

with dnsmasq_config_file = /etc/dnsmasq.conf

and restart quantum-dhcp-agent 
the config file is used 

python-quantumclient-2.1.10-3.el6ost.noarch
openstack-quantum-2012.2.3-3.el6ost.noarch

/usr/sbin/dnsmasq --no-hosts --no-resolv --strict-order --bind-interfaces --interface=tap4e694af8-36 --except-interface=lo --domain=openstacklocal --pid-file=/var/lib/quantum/dhcp/3991fec8-d178-47d3-8f54-72def3d889f8/pid --dhcp-hostsfile=/var/lib/quantum/dhcp/3991fec8-d178-47d3-8f54-72def3d889f8/host --dhcp-optsfile=/var/lib/quantum/dhcp/3991fec8-d178-47d3-8f54-72def3d889f8/opts --dhcp-script=/usr/bin/quantum-dhcp-agent-dnsmasq-lease-update --leasefile-ro --dhcp-range=tag0,55.55.1.0,static,120s --dhcp-range=tag1,55.53.1.0,static,120s --dhcp-range=tag2,55.54.1.0,static,120s --dhcp-range=tag3,75.54.1.0,static,120s --dhcp-range=tag4,71.54.1.0,static,120s --dhcp-range=tag5,72.54.1.0,static,120s --dhcp-range=tag6,78.54.1.0,static,120s --conf-file=/etc/dnsmasq.conf
Comment 4 Ofer Blaut 2013-02-18 05:55:46 EST
i also checked that dnsmasq config file is used by  changing /etc/dnsmasq.conf  to port=5353 and run netstat to check it

Note You need to log in before you can comment on or make changes to this bug.